ProtectionCapabilityExclusions¶
- class oci.waf.models.ProtectionCapabilityExclusions(**kwargs)¶
Bases:
objectIdentifies specific HTTP message parameters to exclude from inspection by a protection capability.
Methods:
__init__(**kwargs)Initializes a new ProtectionCapabilityExclusions object with values from keyword arguments.
Attributes:
Gets the args of this ProtectionCapabilityExclusions.
Gets the request_cookies of this ProtectionCapabilityExclusions.
- __init__(**kwargs)¶
Initializes a new ProtectionCapabilityExclusions object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
request_cookies (list[str]) – The value to assign to the request_cookies property of this ProtectionCapabilityExclusions.
args (list[str]) – The value to assign to the args property of this ProtectionCapabilityExclusions.
- property args¶
Gets the args of this ProtectionCapabilityExclusions. List of URL query parameter values from form-urlencoded XML, JSON, AMP, or POST payloads to exclude from inspecting. Example: If we have query parameter ‘argumentName=argumentValue’ and args=[‘argumentName’], both ‘argumentName’ and ‘argumentValue’ will not be inspected.
- Returns
The args of this ProtectionCapabilityExclusions.
- Return type
list[str]
- property request_cookies¶
Gets the request_cookies of this ProtectionCapabilityExclusions. List of HTTP request cookie values (by cookie name) to exclude from inspecting. Example: If we have cookie ‘cookieName=cookieValue’ and requestCookies=[‘cookieName’], both ‘cookieName’ and ‘cookieValue’ will not be inspected.
- Returns
The request_cookies of this ProtectionCapabilityExclusions.
- Return type
list[str]